This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 437481 - Review Request: ocaml-newt - OCaml library for using newt text mode window system
Review Request: ocaml-newt - OCaml library for using newt text mode window sy...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-14 10:23 EDT by Richard W.M. Jones
Modified: 2008-03-18 13:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-18 13:55:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
berrange: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-03-14 10:23:24 EDT
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-newt.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-newt-0.6-1.fc9.src.rpm
Description: OCaml library for using newt text mode window system
Comment 1 Richard W.M. Jones 2008-03-14 10:25:13 EDT
rpmlint --> no output

Requires:

rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(VersionedDependencies) <= 3.0.3-1
libc.so.6  
libc.so.6(GLIBC_2.0)  
libc.so.6(GLIBC_2.1.3)  
libnewt.so.0.52  
ocaml(Buffer) = f6cef633ea14963b84b79c4095c63dc3
ocaml(Gc) = 3c11fc69ccb4eb611e4cf313a52c3a2d
ocaml(List) = da1ce9168f0408ff26158af757456948
ocaml(Obj) = 5cfae708052c692ea39d23ed930fd64d
ocaml(Pervasives) = 8ba3d1faa24d659525c9025f41fd0c57
ocaml(Printf) = 5dbbf45a03b54e6dbfcf39178d0d6341
ocaml(Unix) = 9a46a8db115947409e54686ada118599
ocaml(runtime) = 3.10.1

Provides:

ocaml(Newt) = d14c49fe424fca27c0f056396401b7bd
ocaml(Newt_int) = fe698fd61390bcf7fae3e161930c562e
ocaml-newt = 0.6-1.fc9

List of files in base package:

/usr/lib/ocaml/newt
/usr/lib/ocaml/newt/META
/usr/lib/ocaml/newt/mlnewt.cma
/usr/lib/ocaml/newt/newt.cmi
/usr/lib/ocaml/newt/newt_int.cmi
/usr/lib/ocaml/stublibs/dllmlnewt.so
/usr/lib/ocaml/stublibs/dllmlnewt.so.owner
/usr/share/doc/ocaml-newt-0.6
/usr/share/doc/ocaml-newt-0.6/COPYING.LIB

List of files in -devel subpackage:

/usr/lib/ocaml/newt/libmlnewt.a
/usr/lib/ocaml/newt/mlnewt.a
/usr/lib/ocaml/newt/mlnewt.cmxa
/usr/lib/ocaml/newt/newt.cmx
/usr/lib/ocaml/newt/newt.mli
/usr/lib/ocaml/newt/newt_int.cmx
/usr/lib/ocaml/newt/newt_int.mli
/usr/share/doc/ocaml-newt-devel-0.6
/usr/share/doc/ocaml-newt-devel-0.6/01_open.ml
/usr/share/doc/ocaml-newt-devel-0.6/02_simple.ml
/usr/share/doc/ocaml-newt-devel-0.6/03_window.ml
/usr/share/doc/ocaml-newt-devel-0.6/04_form.ml
/usr/share/doc/ocaml-newt-devel-0.6/05_listbox.ml
/usr/share/doc/ocaml-newt-devel-0.6/06_gc.ml
/usr/share/doc/ocaml-newt-devel-0.6/07_checkbox.ml
/usr/share/doc/ocaml-newt-devel-0.6/10_message.ml
/usr/share/doc/ocaml-newt-devel-0.6/11_chooser.ml
/usr/share/doc/ocaml-newt-devel-0.6/12_enable.ml
/usr/share/doc/ocaml-newt-devel-0.6/COPYING.LIB
/usr/share/doc/ocaml-newt-devel-0.6/README
/usr/share/doc/ocaml-newt-devel-0.6/html
/usr/share/doc/ocaml-newt-devel-0.6/html/Newt.html
/usr/share/doc/ocaml-newt-devel-0.6/html/Newt_int.html
/usr/share/doc/ocaml-newt-devel-0.6/html/index.html
/usr/share/doc/ocaml-newt-devel-0.6/html/index_attributes.html
/usr/share/doc/ocaml-newt-devel-0.6/html/index_class_types.html
/usr/share/doc/ocaml-newt-devel-0.6/html/index_classes.html
/usr/share/doc/ocaml-newt-devel-0.6/html/index_exceptions.html
/usr/share/doc/ocaml-newt-devel-0.6/html/index_methods.html
/usr/share/doc/ocaml-newt-devel-0.6/html/index_module_types.html
/usr/share/doc/ocaml-newt-devel-0.6/html/index_modules.html
/usr/share/doc/ocaml-newt-devel-0.6/html/index_types.html
/usr/share/doc/ocaml-newt-devel-0.6/html/index_values.html
/usr/share/doc/ocaml-newt-devel-0.6/html/style.css
/usr/share/doc/ocaml-newt-devel-0.6/html/type_Newt.html
/usr/share/doc/ocaml-newt-devel-0.6/html/type_Newt_int.html
Comment 2 Daniel Berrange 2008-03-15 12:35:10 EDT
Confirmed rpmlint is clean

[berrange@cherry ~]$ rpmlint ~/rpm/RPMS/x86_64/ocaml-newt-0.6-1.fc9.x86_64.rpm
[berrange@cherry ~]$ rpmlint ~/rpm/RPMS/x86_64/ocaml-newt-devel-0.6-1.fc9.x86_64.rpm
[berrange@cherry ~]$ rpmlint ~/rpm/SRPMS/ocaml-newt-0.6-1.fc9.src.rpm 
[berrange@cherry ~]$ 
Comment 3 Daniel Berrange 2008-03-15 12:38:07 EDT
Verified complies with all OCaml packaging guidelines at

http://fedoraproject.org/wiki/PackagingDrafts/OCaml
Comment 4 Daniel Berrange 2008-03-15 12:47:28 EDT
Passes all MUST and all SHOULD guidelines at

http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

Successfully builds in mock for rawhide x86_64.

=> APPROVED.

When importing to CVS, also recommend:

 - including 'README' file in %doc of main package.

 - moving './configure' call from the %prep section to the %build section, since
its part of the build process, not source unpackaging/patching process.

Comment 5 Richard W.M. Jones 2008-03-17 06:27:12 EDT
I think I've made the configure-in-%prep mistake systematically ... Need to
go and look at all the other ocaml packages.
Comment 6 Richard W.M. Jones 2008-03-17 06:29:11 EDT
New Package CVS Request
=======================
Package Name: ocaml-newt
Short Description: OCaml library for using newt text mode window system
Owners: rjones
Branches: F-8
InitialCC: rjones
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-03-18 13:28:32 EDT
cvs done.
Comment 8 Richard W.M. Jones 2008-03-18 13:55:33 EDT
> - including 'README' file in %doc of main package.

I didn't do this because after some discussion on fedora-devel-list
and for the new package guidelines we decided not to include the
README file and others like it twice, and only in -devel.

> - moving './configure' call from the %prep section to the %build section, since
> its part of the build process, not source unpackaging/patching process.

Done.

---

Build for F-9: http://koji.fedoraproject.org/koji/taskinfo?taskID=521096

The F-8 build is waiting for camlidl to get pushed to F-8 updates.

Note You need to log in before you can comment on or make changes to this bug.